<?php
/**
 * Diese Datei enthält alle SQL Statements für die Tabelle "benutzer"
 */

function anmelden(string $email, string $passwort)
{
    $link = connectdb();

    $sql = "SELECT * FROM benutzer
            WHERE (`email` = '$email')";
    $result = $link->query($sql);
    $row = $result->fetch_assoc();

    if ($row['passwort'] == NULL) {
        $row = 0;
    } elseif ($row['passwort'] == $passwort) {
        session_start();

        mysqli_begin_transaction($link);
        $sql = "UPDATE benutzer 
                SET letzteanmeldung = current_time, anzahlfehler = 0 
                WHERE email = '$email'";
        $link->query($sql);


        // $sql = "UPDATE benutzer SET anzahlanmeldungen = anzahlanmeldungen + 1 WHERE id = " . $row['id'];
        $sql = "CALL incrementAnzahlAnmeldungen(" . ($row['id']) . ")";
        $link->query($sql);

        mysqli_commit($link);

        $_SESSION['uid'] = session_id();
        $_SESSION['login'] = 1;
        $_SESSION['name'] = $row['name'];
        $_SESSION['email'] = $row['email'];
        return 1;
    } else {

        mysqli_begin_transaction($link);

        $sql = "UPDATE benutzer 
                SET anzahlfehler = anzahlfehler+1,	letzterfehler = current_time 
                WHERE email = '$email'";
        $link->query($sql);

        mysqli_commit($link);

    }
    return 0;
}